Last Comment Bug 86918 - Dialogs in Preferences were cut-off
: Dialogs in Preferences were cut-off
Status: RESOLVED INVALID
:
Product: SeaMonkey
Classification: Client Software
Component: Preferences (show other bugs)
: Trunk
: PowerPC Mac System 9.x
: P3 normal with 5 votes (vote)
: Future
Assigned To: Ben Goodger (use ben at mozilla dot org for email)
: Yuying Long
:
Mentors:
Depends on:
Blocks: prefsfit 107067
  Show dependency treegraph
 
Reported: 2001-06-20 12:03 PDT by Yuying Long
Modified: 2004-11-22 17:25 PST (History)
10 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
screenshot, US beta on Japanese MacOS 9 (49.96 KB, image/jpeg)
2001-06-20 13:02 PDT, Ying-Lin Xia
no flags Details
another screenshot, US beta build on Japanese MacOS 9 (52.34 KB, image/jpeg)
2001-06-20 13:07 PDT, Ying-Lin Xia
no flags Details
Debug | Offline dialog. (35.76 KB, image/jpeg)
2001-06-20 13:59 PDT, Yuying Long
no flags Details
Instant Messager | Privacy dialog (29.21 KB, image/jpeg)
2001-06-20 14:03 PDT, Yuying Long
no flags Details

Description Yuying Long 2001-06-20 12:03:18 PDT
Build: 06-18-08 Mac trunk on Mac9.0-Ja
Not reproduce on US OS.

Steps to reproduce:
1. Launch the browser.
2. Edit | Preferences.
3. Debug | Offline & Instant Messager | Privacy

Result:
These 2 dialogs have been slightly cut-off in the bottom part.
Comment 1 nhottanscp 2001-06-20 12:35:37 PDT
Macintosh pref dialog is smaller than other platform. Localized contents may not
fit to the default size and no way to resize it or scroll the content.
It also happens with US build under non US MacOS where the default font is larger.
See also bugscape 2142.

Change component to preference and reassign to asa@mozilla.org, cc to
ben@netscape.com,vishy@netsccpe.com,ftang@netscape.com,jaimejr@netscape.com.
Comment 2 Ying-Lin Xia 2001-06-20 12:41:30 PDT
Correction: See bugscape 2143.
Screenshots are also available there.
Comment 3 timeless 2001-06-20 12:56:39 PDT
Asa doesn't need this bug.  However since it's in bugzilla I'd like to see the 
pictures, please attach them here.
Comment 4 Ying-Lin Xia 2001-06-20 13:02:12 PDT
Created attachment 39374 [details]
screenshot, US beta on Japanese MacOS 9
Comment 5 Ying-Lin Xia 2001-06-20 13:07:11 PDT
Created attachment 39376 [details]
another screenshot, US beta build on Japanese MacOS 9
Comment 6 Yuying Long 2001-06-20 13:33:18 PDT
Change summary.
Add Advance | proxies dialog.

The dialog that Ying attached at 2001-06-20 13:07 is not existing on
recent(06-18-08) trunk build.
Comment 7 Yuying Long 2001-06-20 13:59:53 PDT
Created attachment 39386 [details]
Debug | Offline dialog.
Comment 8 Yuying Long 2001-06-20 14:03:42 PDT
Created attachment 39387 [details]
Instant Messager | Privacy dialog
Comment 9 Paul Chen 2001-06-22 16:02:31 PDT
nav triage team:

Marking nsbeta1- because we are logging a new bug to handle pref panels getting
cut-off. Our solution is to make the pref window resizeable (on the branch only)
and to allow the pref window height and width to be localizeable as opposed to
one hardcoded value for all languages.
Comment 10 Viswanath Ramachandran 2001-07-02 14:00:59 PDT
removing nsBranch. 
Comment 11 Jaime Rodriguez, Jr. 2001-09-12 10:15:34 PDT
Paul - The Pref panel is resizable now, right? If so, please mark as nsbranch-
for this round.
Comment 12 Cindy Roberts 2001-09-13 10:45:09 PDT
Marking nsbranch- as it was decided in the August bug triage that we wouldn't
have enough time in eMojo to fix this.  Let's revisit for MachV.
Comment 13 Peter Trudelle 2001-09-14 14:03:02 PDT
removing redundant nsbranch keyword
Comment 14 chado 2001-10-03 13:12:26 PDT
There are still some prefs panels cut-off in the bottom part or the right hand 
side part.

On 2001-09-06-08-trunk on Japanese MacOS 9, following 3 prefs panels have 
problem:
 Appearance | Themes,
 Debug General, and 
 Offline & Disk Space.
Milestone 0.9.4 must be the same.

On 2001-10-03-08-trunk on Japanese MacOS 9, following prefs panels have 
problem: 
 Appearance | Themes,
 Navigator,
 Mail & Newsgroups | Message Display,
 Mail & Newsgroups | Send Format,
 Privacy & Security | Cookies,
 Privacy & Security | Master Passwords,
 Debug General, and
 Offline & Disk Space.

Some are serious, others not so much.  In serious case, we can not see all of 
contens, and we can not know if those we seeing are all or not. 

Bug 87371 made perfs dialogs localizable.  Good.  Bug 87373 made prefs dialog 
resizable on NS branch.  Good.  But those solve nothing about non-localized 
trunk on Japanese MacOS.  
Other non-English testers or users may be seeing this issue. 

Contents of any prefs panels can be expanded at any time.  Also, panels can be
added.  I don't know the reason why dialog should be fixed-size.  I think that 
expected workaround is making prefs dialogs resizable on trunk also. 

trash: Sorry about my poor English but I'm poor-educated Japanese. 
Comment 15 jsp 2001-10-19 18:20:09 PDT
Mozilla 0.9.5 has this problem on the U.S. version of Mac OS 9.0.4. with all the
panels listed above.

I don't agree with the comment at bug 87373 that it's desirable to have these
dialogs non-resizable in trunk builds. Mozilla needs testing, and the easier it
is to use, the more testing it'll get. I'm speaking from personal experience:
I'd love to use Mozilla on my Mac at home, but I keep bumping up against things
like not being able to edit my cookie preferences, so I often revert to
Communicator to get my work done.  (NS 6, overall, is far more troublesome than
Mozilla, as one would expect, since it's less mature.)

In short, fix the layout for sure, but in the meantime, be a little friendlier
to those of us who are attempting to help work out (or at least find) the kinks.
And if there's no compelling reason to take away user control over dialog sizes
in the long run, why do it?  Users want control, appreciate it when they have
it, and resent it when they don't - and this is as it should be.
Comment 16 Michele Carlson 2001-11-13 16:05:34 PST
ylong - can you test it to see if this is fixed already or not?
Comment 17 Yuying Long 2001-11-13 16:47:12 PST
Not reproducible on N6.2 RTM build.
Comment 18 chado 2001-11-16 04:09:03 PST
2001-11-14-08-trunk or 2001-11-15-08-trunk on Japanese MacOS 9.0.4.
There are still some prefs panels cut-off in the bottom part or the right hand 
side part.  In Classic theme, almost fine.  But in Modern theme, there are 
some object cut-off or missing.  Some are just missing enclosing line.  

I took screenshots in both of themes, merged them, and viewed them in parallel.
List of problems I found is following: 

classic :
  Appearance | Themes - right hand side little bit.
  Mail & Newsgroups | Message Display - bottom little bit.
  Privacy & Security | Cookies - bottom little bit.
  Debug General - bottom little bit.

modern:
  Appearance | Fonts - bottom.
  Appearance | Themes - right hand side little bit.
  Navigator - bottom little bit.
  Navigator | Smart Browsing - bottom little bit.
  Mail & Newsgroups - bottom little bit.
  Mail & Newsgroups | Message Display - bottom, missing checkbox!!
  Mail & Newsgroups | Send Format - bottom little bit.
  Privacy & Security | Cookies - right hand side and bottom, missing buttons!!
  Privacy & Security | Master Passwords - bottom, cut-off button.
  Advanced | Proxies - bottom little bit.
  Debug General - bottom, missing textbox!!
  Offline & Disk Space - bottom, nealy missing checkbox and textbox!!

When you have display device with 1024 pix or more width and time for loading, 
check this: 
  http://www2.wbs.ne.jp/%7Echado/work/moz_prefs/prefs_on_mac_trunk.html .
note: above document includes two images.  Each image has nealy 800k bytes size. 
Comment 19 hirata masakazu 2002-02-14 21:41:45 PST
I am still seeing this. 2002021303 trunk for MacOS9.x (Japanese, Classic)
Is there any update on the future of this bug?
See also bug 86305.
Comment 20 rchen 2002-02-21 17:11:18 PST
You can change the size by editing the following values in pref.dtd. That is the 
way we did for N6.2.

<!ENTITY  prefWindow.size             "width: 52em; height: 41em;">

ylong, does the work around fix the problem? if so, Please mark it as workforme.
Comment 21 rchen 2002-02-22 16:29:05 PST
The issue remains for US build on Japanese OS.
Comment 22 Jaime Rodriguez, Jr. 2002-02-25 12:27:31 PST
nsbeta1+ per ADT/Nav triage. 
Comment 23 Peter Trudelle 2002-03-14 16:28:53 PST
nsbeta1- per ADT triage team. Workaround is to use suggestion in comment #20 for
JA  localization.
Comment 24 Ying-Lin Xia 2002-03-14 16:34:47 PST
This bug is not about JA build, it's about US build on a JA system.
For JA build, we don't have this problem, cause we increased the dialog size 
overall.
Comment 25 HARUNAGA Hirotoshi 2002-05-06 07:02:02 PDT
On Mac OS Japanese-9.2,
- large system font (menu, caption font) is 12pt(12px) of Osaka or Osaka Bold
 or Osaka Narrow.
- small system font (message-box font) is 10pt(10px) of Osaka.

Preferences window size on Mac OS J-9.2 is about 528 x 438px,
and is small than on Windows (about 630 x 520px).

Workaround using userChrome.css to enlarge Preferences window size as same as
 on Windows:

#prefDialog { font: menu !important; }
#prefsTree { font: message-box !important; }

or 

#prefDialog { font: 12px !important; }
#prefsTree { font: 10px !important; }

But this is not a problem only on Mac OS 9.
If you set message-box font to "System 14pt" on Windows NT or 98SE,
contents of Preferences window overflow.
Workaround in this case using userChrome.css is for example:

#prefsTree, page { font: 9.8pt Terminal !important; }

Is this a problem that it isn't unified into system fonts and the relative
size?
Comment 26 Yuying Long 2002-07-10 12:36:47 PDT
07-10 branch build on Mac OS 9.2US and 9.1-JA, there are a few dialogs were
truncated in Preferences:
1. Navigator.
2. [9.2 US] Navigator | Helper Applications
3. Mail & Newsgroups
4. Message Display
5. Advanced | Cache

Some of them can be seen in OS X as well.

Renominate as nsbeta1.
Comment 27 Samir Gehani 2002-07-16 14:52:57 PDT
Nav triage team: nsbeta1-
Comment 28 timeless 2002-07-21 13:21:34 PDT
cache is bug 125567 with patch.
offline is bug 84692
debug is bug 86780
bug 80415 now covers message display and send format 
instant messenger is bugscape fodder.

themes was bug 80397, bug 93866, bug 112314, and bug 112420
message display was bug 80414
send format was bug 70392
cookies was bug 103192
master password was bug 103198
fonts was bug 80402
smart browsing was bug 80411
proxies was bug 80419

at this point, i see no use for this bug. if you want to file a bug about en-us
builds having problems running on japanese systems feel free, however it might
be a duplicate of bug 86478 or some other bug in bug 80392's dependency tree

Note You need to log in before you can comment on or make changes to this bug.